import { Fragment, useEffect } from 'react'
import { useSelector } from 'react-redux'
import { useNavigate } from 'react-router-dom'
import { RootState } from '../redux/store'
import LoginDialog from './LoginDialog'
import NotAuthorized from "../NotAuthorized/NotAuthorized"
import RegisterDialog from "./RegisterDialog"


const Register = () => {
    const isAdmin = useSelector(
        (state: RootState) => state.user.roles.includes("ROLE_ADMIN")
    )

    return (
        <Fragment>
            {isAdmin ? (<RegisterDialog />) : <NotAuthorized />}
        </Fragment>
    )
}

export default Register
